summarylogtreecommitdiffstats
path: root/esd
diff options
context:
space:
mode:
authorjose17112019-02-09 12:33:15 +0100
committerjose17112019-02-09 12:33:15 +0100
commit669e16287b73b04b507962a62a8ddd87f8508e50 (patch)
treec011cd3a1f247e7b68f8932d2703a3b447fb9dff /esd
downloadaur-esd-oss.tar.gz
Adopted from aur3
Diffstat (limited to 'esd')
-rw-r--r--esd37
1 files changed, 37 insertions, 0 deletions
diff --git a/esd b/esd
new file mode 100644
index 000000000000..d90ef55fac63
--- /dev/null
+++ b/esd
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/bin/esd`
+case "$1" in
+ start)
+ stat_busy "Starting Esound Daemon"
+ if [ -z "$PID" ]; then
+ /usr/bin/esd -nobeeps &
+ fi
+ if [ ! -z "$PID" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon esd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Esound Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon esd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac